extends Node3D

var weapons = []
# Called when the node enters the scene tree for the first time.
func _ready():
	weapons.append($RevolverFix as Weapon)
	


func _process(delta):
	if Input.is_action_pressed("shoot"):
		weapons[0].Shoot()
